org.apache.xmpbox.type

## Class BadFieldValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmpbox.type.BadFieldValueException

All Implemented Interfaces:
  Serializable

    public class BadFieldValueException
    extends Exception

Exception thrown when Value found to set/get property content is not compatible with object specifications (typically when trying to have a property in a type that is not compatible with specified original type of property concerned)

Author:
  a183132
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadFieldValueException(String message)` Create an instance of BadFieldValueException
`BadFieldValueException(String message, Throwable cause)` Create an instance of BadFieldValueException

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadFieldValueException

    public BadFieldValueException(String message)

Create an instance of BadFieldValueException

Parameters:
  `message` - a description of the encountered problem

#### BadFieldValueException

    public BadFieldValueException(String message,
                                  Throwable cause)

Create an instance of BadFieldValueException

Parameters:
  `message` - a description of the encountered problem
  `cause` - the cause of the exception